Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class ForwardingCompareInput.ForwardingTypedElement

- java.lang.Object
- - com.google.common.collect.ForwardingObject
  - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput.ForwardingTypedElement

All Implemented Interfaces:
  `org.eclipse.compare.ITypedElement`

Direct Known Subclasses:
  `NoDifferencesCompareInput.NoDifferencesTypedElement`

Enclosing class:
  ForwardingCompareInput

    public static class ForwardingCompareInput.ForwardingTypedElement
    extends com.google.common.collect.ForwardingObject
    implements org.eclipse.compare.ITypedElement

### Field Summary

### Fields inherited from interface org.eclipse.compare.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

### Constructor Summary

Constructors
`ForwardingTypedElement​(org.eclipse.compare.ITypedElement delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.compare.ITypedElement` `delegate()`
`org.eclipse.swt.graphics.Image` `getImage()`
`String` `getName()`
`String` `getType()`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ForwardingTypedElement

    public ForwardingTypedElement​(org.eclipse.compare.ITypedElement delegate)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getName()`

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getImage()`

#### getType

    public String getType()

Specified by:
  `getType` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getType()`

#### delegate

    protected org.eclipse.compare.ITypedElement delegate()

Specified by:
  `delegate` in class `com.google.common.collect.ForwardingObject`
See Also:
  `ForwardingObject.delegate()`